Update for Windows 7 SP1 may cause problems for the RAPID Editor of RobotStudio

Henrik BerlinHenrik Berlin Sweden admin
edited January 2018 in RobotStudio
An update to Windows 7 recently distributed by Microsoft causes the RAPID Editor to fail (https://support.microsoft.com/en-us/help/4055002/description-of-the-security-and-quality-rollup-for-the-net-framework-4). This is a general problem that causes issues for several softwares, see e.g. http://blog.actiprosoftware.com/ for more information about the editor component that RobotStudio use. Microsoft specifies a number of workarounds in the link https://github.com/dotnet/announcements/issues/53. One of them is a variation of Method 3 below:

Workaround 3 - Replace GlobalUserInterface.CompositeFont

Replace corrupted font file with correct version.

  1. Download GlobalUserInterface.CompositeFont (default download for Windows 7 is %USERPROFILE%\Downloads).
  2. Copy and paste the GlobalUserInterface.Composite file through Windows Explorer to %windir%\Microsoft.NET\Framework\v4.0.30319\WPF\Fonts.
  3. Copy and paste the GlobalUserInterface.Composite file through Windows Explorer to %windir%\Microsoft.NET\Framework64\v4.0.30319\WPF\Fonts.
  4. Re-launch RobotStudio.
  5. Reboot machine and re-launch application if you still have trouble.
Apparently, Microsoft is working on the issue, and there is little we can do from the RobotStudio team to resolve it. We are investigating the problem and are trying to find the exact circumstances for which it occurs. As of now it seems that having installed the update is not sufficient to trigger the issue. 

UPDATE:

Our RnD team has been able to recreate the problem and the investigation shows that the problem affect users of the following software
* Windows 7 SP1
* .NET Framework 4.7.1
* Windows Update (KB4055002 and/or KB4055532)
* RobotStudio 6.xx (any version)

RobotStudio 6.06.01 SP1 (and earlier versions) is using .NET Framework 4.6.1 (or earlier versions) which means the problem is limited to users that have installed .NET Framework 4.7.1 for some other reason. One reason might be that a pre-release version of RobotStudio 6.07 is installed, and another reason might be that .NET Framework 4.7.1 has been installed by some other application.
Henrik Berlin
ABB
Post edited by Henrik Berlin on

Comments

  • daguilardaguilar Irun, Spain
    Hi there,

    I still have problems. I am not able to create a new offline system. RS freezes and force closes. I checked the .NET and I had 4.7.1 due to Visual Studio. I have uninstall both and replace for .NEt 4.6.1. Uninstall RS6.06 and install again, with SP1.... still does the same...  Any help with this please?
  • I am using Windows 7 SP1. In the very beginning Robotstudio 6.07 crashed when launching RAPID. Following "Workaround 3 - Replace GlobalUserInterface.Composite" RAPID generates an error message, RobotStudio does not Crash anymore  but still not working. I apreciate any quick work around or bug fix..
Sign In or Register to comment.